--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Parse the version requirement obj returning the operator and version.
- !ruby/struct:SM::Flow::P 
  body: The requirement can be a String or a Gem::Version. A String can be an operator (&lt;, &lt;=, =, =&gt;, &gt;, !=, ~&gt;), a version number, or both, operator first.
full_name: Gem::Requirement#parse
is_singleton: false
name: parse
params: (obj)
visibility: public
